MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027632Open CASCADE[OCCT] OCCT:Visualizationpublic2016-06-23 16:482016-12-09 16:38
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027632: Visualization, XCAFPrs_AISObject - provide method for assigning new Label in the document
DescriptionCurrent interface of XCAFPrs_AISObject allows setting Label in the document only within constructor. This is inconvenient - there are scenarios where it is useful changing label without creating a new presentation object.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0026508closedski Add the possibility to get label from XCAFPrs_AISObject 

-  Notes
(0055770)
git (administrator)
2016-07-09 16:57

Branch CR27632 has been created by kgv.

SHA-1: ba662e6c4dc49d93f5d775b0146a7cd0dcae166b


Detailed log of new commits:

Author: kgv
Date: Sat Jul 9 16:57:04 2016 +0300

    0027632: Visualization, XCAFPrs_AISObject - provide method for assigning new Label in the document
(0055771)
kgv (developer)
2016-07-09 16:58

Please check compilation, regression testing is not needed.
(0055820)
git (administrator)
2016-07-11 15:09

Branch CR27632 has been updated forcibly by apv.

SHA-1: fc4f67c620fb71a0e23478b9073aeda2dab8eb7d
(0055821)
apv (tester)
2016-07-11 15:10

Branch CR27632 has been rebased on the current master
(0055863)
apv (tester)
2016-07-12 16:37

Dear BugMaster,

Branch CR27632 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: fc4f67c620fb71a0e23478b9073aeda2dab8eb7d

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1168
(0056113)
git (administrator)
2016-07-22 10:44

Branch CR27632 has been deleted by inv.

SHA-1: fc4f67c620fb71a0e23478b9073aeda2dab8eb7d

- Related Changesets
occt: master 593dfe97
Timestamp: 2016-07-09 13:57:04
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027632: Visualization, XCAFPrs_AISObject - provide method for assigning new Label in the document
mod - src/XCAFPrs/XCAFPrs_AISObject.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-06-23 16:48 kgv New Issue
2016-06-23 16:48 kgv Assigned To => kgv
2016-06-23 16:49 kgv Relationship added related to 0026508
2016-07-09 16:57 git Note Added: 0055770
2016-07-09 16:58 kgv Note Added: 0055771
2016-07-09 16:58 kgv Assigned To kgv => bugmaster
2016-07-09 16:58 kgv Status new => resolved
2016-07-09 16:59 kgv Status resolved => reviewed
2016-07-11 12:35 mkv Assigned To bugmaster => apv
2016-07-11 15:09 git Note Added: 0055820
2016-07-11 15:10 apv Note Added: 0055821
2016-07-12 16:12 apv Test case number => Not needed
2016-07-12 16:37 apv Note Added: 0055863
2016-07-12 16:37 apv Assigned To apv => bugmaster
2016-07-12 16:37 apv Status reviewed => tested
2016-07-15 10:44 bugmaster Changeset attached => occt master 593dfe97
2016-07-15 10:44 bugmaster Status tested => verified
2016-07-15 10:44 bugmaster Resolution open => fixed
2016-07-22 10:44 git Note Added: 0056113
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker